#include "gui/uimgr.h"

using namespace GUI;

FONT * UI_Manager::s_font;
Engine * UI_Manager::s_engine;
UI_Factory * UI_Manager::s_ui_factory;


/************************************************************************
 *
 * UI_Factory
 *
 ************************************************************************/

UI_Factory::~UI_Factory()
{
}


/************************************************************************
 *
 * UI_Manager
 *
 ************************************************************************/

void
UI_Manager::set_font(FONT * font)
{
    s_font = font;
}

FONT *
UI_Manager::get_font()
{
    return s_font;
}

void
UI_Manager::set_engine(Engine * engine)
{
    s_engine = engine;
}

Engine *
UI_Manager::get_engine()
{
    return s_engine;
}

Label_UI *
UI_Manager::get_label_ui()
{
    return s_ui_factory->create_label_ui();
}

List_UI *
UI_Manager::get_list_ui()
{
    return s_ui_factory->create_list_ui();
}

Menu_UI *
UI_Manager::get_menu_ui()
{
    return s_ui_factory->create_menu_ui();
}

Separator_UI *
UI_Manager::get_separator_ui()
{
    return s_ui_factory->create_separator_ui();
}

void
UI_Manager::install_ui_factory(UI_Factory * factory)
{
    s_ui_factory = factory;
}
