#ifndef _MP3BG_H_
#define _MP3BG_H_

#include <vector>
#include "engine.h"

namespace GameLauncher
{
    using namespace GameEngine;

    class MP3_Background : public Background_Task
    {
      public:
        static MP3_Background * create() throw (InitError);

        virtual ~MP3_Background();

        virtual void        poll() = 0;
        virtual void        resume() = 0;
        virtual void        suspend() = 0;

        virtual void        set_playlist(const vector<string> & playlist) = 0;
        virtual void        set_volume(int volume) = 0;
        virtual int         get_current_position() const = 0;
        virtual string      get_current_mp3_name() const = 0;
        virtual unsigned    get_current_mp3_index() const = 0;
        
        virtual void        seek(unsigned index, int position = 0) = 0;

        /**
         * Stops playing current song and plays the next song.
         */
        virtual void skip_to_next_song() = 0;

        /**
         * Starts the current song over from the beginning.
         */
        virtual void start_song_over() = 0;
    };
}

#endif

/* Local Variables: */
/* mode: c++ */
/* End: */
