#include "mamescan.h"

using namespace MameScan;


Constraint::~Constraint() { }

/************************************************************************/


ExcludeConstraint::ExcludeConstraint(const string & pattern)
{
    mPattern    = pattern;
}

Constraint::Result
ExcludeConstraint::matchConstraint(const string & value)
{
    if (mPattern == value)
        return EXCLUDE;
    else
        return NO_CONSTRAINT;
}

string
ExcludeConstraint::getConstraint()
{
    return "Exclude \"" +mPattern + "\"";
}


/************************************************************************/


IncludeConstraint::IncludeConstraint(const string & pattern)
{
    mPattern    = pattern;
}

Constraint::Result
IncludeConstraint::matchConstraint(const string & value)
{
    if (mPattern == value)
        return INCLUDE;
    else
        return NO_CONSTRAINT;
}

string
IncludeConstraint::getConstraint()
{
    return "Include \"" +mPattern + "\"";
}
