#include <iostream>
#include <strstream>
#include <fstream>
#include "view.h"
#include "logfile.h"

using namespace GameLauncher;
using LogFile::gl_log;


Outline_Bar::Outline_Bar(int x1, int y1, int x2, int y2)
{
    int width;
    int height;

    width       = (x2 - x1) + 1;
    height      = (y2 - y1) + 1;

    if (width < OUTLINE_WIDTH*2)
        x2 = x1 + OUTLINE_WIDTH*2 - 1;

    if (height < OUTLINE_WIDTH*2)
        y2 = y1 + OUTLINE_WIDTH*2 - 1;

    p_x1        = x1;
    p_y1        = y1;
    p_x2        = x2;
    p_y2        = y2;

    p_inner_x1  = x1 + OUTLINE_WIDTH;
    p_inner_y1  = y1 + OUTLINE_WIDTH;
    p_inner_x2  = x2 - OUTLINE_WIDTH;
    p_inner_y2  = y2 - OUTLINE_WIDTH;

    p_color     = makecol(255, 255, 255);
}

void
Outline_Bar::set_color(int color)
{
    p_color     = color;
}

void
Outline_Bar::draw(BITMAP * frame)
{
    rectfill(frame, p_x1, p_y1, p_x2, p_y2, makecol(0, 0, 0));
    rectfill(frame, p_inner_x1, p_inner_y1, p_inner_x2, p_inner_y2, p_color);
}

