#include "engine.h"
#include "view.h"
#include "logfile.h"

using namespace GameLauncher;
using LogFile::gl_log;

Delay_VC::Delay_VC(Engine * engine, Delay_VC_Listener * listener)
{
    p_delay_timer       = engine->get_timer_factory()->create_timer();
    p_listener          = listener;
}

Delay_VC::~Delay_VC()
{
    delete p_delay_timer;
}

void
Delay_VC::delay(int milliseconds)
{
    p_delay_timer->set(milliseconds);
}

bool
Delay_VC::update()
{
    if (p_delay_timer->expired())
        p_listener->delay_vc_expired();
    return false;
}
