#include "engine.h"
#include "view.h"
#include "logfile.h"

using namespace GameLauncher;
using LogFile::gl_log;

Splash_VC::Splash_VC(Engine * engine, Delay_VC_Listener * listener,
                     FONT * font, const string & text)
{
    p_delay_vc          = new Delay_VC(engine, this);
    p_listener          = listener;
    p_font              = font;
    p_text              = text;
}

Splash_VC::~Splash_VC()
{
    delete p_delay_vc;
}

void
Splash_VC::splash(int milliseconds)
{
    p_delay_vc->delay(milliseconds);
}

bool
Splash_VC::update()
{
    return p_delay_vc->update();
}

void
Splash_VC::draw(BITMAP * frame)
{
    clear(frame);
    textout_centre(frame, p_font, (char *) p_text.c_str(), frame->w/2,
                   frame->h/2,
                   makecol(255, 255, 255));
}

void
Splash_VC::delay_vc_expired()
{
    p_listener->delay_vc_expired();
}
